package Food.app.ui;
import java.util.ArrayList;

/**
 * Hold Food information
 * @author Kelly
 *
 */
public class Food {
	
	private String FoodName;	
	private double FoodPrice;		
	private double FoodRate;
	private Restaurant FoodRestaurant;
	private ArrayList<Comment> CommentList;
	
	
	public Food(Restaurant myFoodRestaurant){
			
		this.FoodRestaurant = myFoodRestaurant;
	}	
	
	public Food(String myFoodName,Restaurant myFoodRestaurant){
		
		this.FoodName = myFoodName;		
		this.FoodRestaurant = myFoodRestaurant;
	}
	
	public String getall(){
		
		String result = "FoodName = " + this.getFoodName() + "\n" + "FoodPrice = " + this.FoodPrice + "\n"
		+ "FoodRate = " + this.FoodRate + "\n" 
		+ "Restaurant -> " + this.getRestaurant().getall();
	
		return result;
		
	}	
	// setter
	public String setFoodName(String myFoodName){
		
		this.FoodName = myFoodName;
		return this.FoodName;
	}	
	public double setFoodPrice(double myFoodPrice){
		
		this.FoodPrice = myFoodPrice;
		return this.FoodPrice;
	}
	public double setFoodRate(double myFoodRate){
		
		this.FoodRate = myFoodRate;
		return this.FoodRate;
	}
	public Restaurant setRestaurant(Restaurant myRestaurant){
		
		this.FoodRestaurant = myRestaurant;
		return this.FoodRestaurant;
	}

	public ArrayList<Comment> setComments(ArrayList<Comment> myComments){
		
		this.CommentList = myComments;
		return this.CommentList;
	}
	//getter
	public String getFoodName(){
		
		return this.FoodName;
	}	
	public double getFoodPrice(){
		
		return this.FoodPrice;
	}
	public double getFoodRate(){
		
		return this.FoodRate;
	}
	public Restaurant getRestaurant(){
		
		return this.FoodRestaurant;
	}

	public ArrayList<Comment> getCommentlist(){
		
		return this.CommentList;
	}
	public void PrintCommentlist(){
				
		for(Comment CommentItem: this.getCommentlist()){
			
			System.out.println(CommentItem.getall());
			
		}
	}

}
